Skip to main content
POST
/
v1
/
environments
/
{environmentId}
/
skills-registries
Add Skill Registry
curl --request POST \
  --url https://api.tryreplicas.com/v1/environments/{environmentId}/skills-registries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>"
}
'
{
  "registry": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "url": "<string>",
    "repository_full_name": "<string>",
    "default_branch": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "repo_skills": [
    {
      "id": "<string>",
      "repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "repository_full_name": "<string>",
      "branch": "<string>",
      "path": "<string>",
      "name": "<string>",
      "description": "<string>",
      "html_url": "<string>"
    }
  ],
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Path Parameters

environmentId
string
required

Environment UUID, or the literal string global.

Body

application/json
url
string
required

GitHub repository URL (e.g. https://github.com/org/skills-repo).

Response

Registry created

registry
object
required

A GitHub repository registered as a skill registry on an environment.

repo_skills
object[]
required
error
string | null
required